Projects
Create Project
Authorization
apiKeyAuth x-api-key<token>
FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v0/project" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "private": true }'{ "id": "string", "name": "string", "allowedHostnames": [ "string" ], "errorTrackingEnabled": true, "webVitalsEnabled": true, "sessionReplaysEnabled": true, "replayRetentionDays": 0, "replayStorageState": "provisioning", "cookielessMode": true, "searchConsoleSiteUrl": "string", "token": "string", "slug": "string", "private": true, "templateId": "string", "preferredChartColors": [ "string" ], "codeContextConfig": { "enabled": true, "codebergApiUrl": "string", "repository": "string", "ref": "string", "mappings": [ { "id": "string", "provider": "github", "javaPrefix": "string", "repository": "string", "ref": "string", "pathPattern": "string" } ] }, "icon": { "type": "icon", "value": "string", "color": "string" }, "createdAt": "string", "firstEventAt": "string", "ownerId": "string", "owner": { "id": "string", "name": "string", "slug": "string", "image": "string", "type": "user", "createdAt": "string" }}name*string
private*boolean
templateId?string|null|null
allowedHostnames?array<string>|null|null
icon?|null|null